# Uses of Interface
org.jboss.modules.Resource

Packages that use Resource
Package
Description
org.jboss.modules
The primary JBoss Modules API.
org.jboss.modules.filter
Classes related to filtering.

## Uses of Resource in org.jboss.modules

Methods in org.jboss.modules that return Resource
Modifier and Type
Method
Description
`Resource`
Module.`getExportedResource(String rootPath, String resourcePath)`
Deprecated.
Resource root names are deprecated.
`Resource`
AbstractResourceLoader.`getResource(String name)`
`Resource`
ResourceLoader.`getResource(String name)`
Get a resource with the given name.
Methods in org.jboss.modules that return types with arguments of type Resource
Modifier and Type
Method
Description
`Iterator<Resource>`
Module.`globResources(String glob)`
Enumerate all imported resources in this module which match the given glob expression.
`Iterator<Resource>`
IterableLocalLoader.`iterateResources(String startPath, boolean recursive)`
Enumerate all the resources under the given path.
`Iterator<Resource>`
IterableResourceLoader.`iterateResources(String startPath, boolean recursive)`
Enumerate all the resources under the given path.
`Iterator<Resource>`
Module.`iterateResources(PathFilter filter)`
Enumerate all the imported resources in this module, subject to a path filter.
`final Iterator<Resource>`
ModuleClassLoader.`iterateResources(String startName, boolean recurse)`
Iterate the resources within this module class loader.
`List<Resource>`
AbstractLocalLoader.`loadResourceLocal(String name)`
Load a resource which is locally defined by this loader.
`List<Resource>`
LocalLoader.`loadResourceLocal(String name)`
Load a resource which is locally defined by this loader.
`List<Resource>`
ModuleClassLoader.`loadResourceLocal(String name)`
Load a local exported resource from this class loader.

## Uses of Resource in org.jboss.modules.filter

Methods in org.jboss.modules.filter that return types with arguments of type Resource
Modifier and Type
Method
Description
`static Iterator<Resource>`
PathFilters.`filtered(PathFilter filter, Iterator<Resource> original)`
Get a filtered view of a resource iteration.
Method parameters in org.jboss.modules.filter with type arguments of type Resource
Modifier and Type
Method
Description
`static Iterator<Resource>`
PathFilters.`filtered(PathFilter filter, Iterator<Resource> original)`
Get a filtered view of a resource iteration.